Get a Layout for a Single Approval Process on a Specified Object

Retrieves an approval layout for a named approval process on a specified object. This resource is available in REST API version 30.0 and later.

Syntax 

URI: /services/data/vXX.X/sobjects/sObject/describe/approvalLayouts/approvalProcessName

Formats: JSON, XML

HTTP methods: GET

Authentication: Authorization: Bearer token

Request parameters: None required

Example 

Example Request

1curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Account/describe/approvalLayouts/ExampleApprovalProcessName -H "Authorization: Bearer token"

Example Response Body

1{
2  "approvalLayouts" : [ {
3    "id" : "04aD00000008Py9IAE",
4    "label" : "ExampleApprovalProcessName",
5    "layoutItems" : [...],
6    "name" : "ExampleApprovalProcessName"
7  } ]
8}